
-- leave me
	local actor = ACTOR_preload()
-- leave me

	actor[cp_actor_name]		= "null-fizz"
	actor[cp_model_dir]			= "rooms"
	actor[cp_model_name]		= "null-fizz"

	actor[cp_actor_type]			= cat_fizz

	actor[cp_launch_hue_shift] = color

-- leave me
	c_preload_model( actor )
-- leave me

	c_add_fizz_between( "null-fizz", "weblob_tiny2", "mainbone", "weblob_tiny2", "mainbone", "visual_warning", 90.0, 35.0, 45.0, 0.0 )

	c_add_fizz_between( "null-fizz", "laser-1_1sec", "mainbone", "laser-1_1sec", "mainbone", "visual_warning", 200.0, 1.0, 300.0, 0.0 )
	c_add_fizz_between( "null-fizz", "laser-1_2sec", "mainbone", "laser-1_2sec", "mainbone", "visual_warning", 200.0, 1.0, 300.0, 0.0 )
	c_add_fizz_between( "null-fizz", "laser-1_3sec", "mainbone", "laser-1_3sec", "mainbone", "visual_warning", 200.0, 1.0, 300.0, 0.0 )
